Bug 526493 - pkg-config file for log4net incorrect on x86_64
Summary: pkg-config file for log4net incorrect on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: log4net
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 285801
TreeView+ depends on / blocked
 
Reported: 2009-09-30 15:31 UTC by Alex Hudson (Fedora Address)
Modified: 2010-02-02 01:18 UTC (History)
1 user (show)

Fixed In Version: 1.2.10-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-02 01:18:28 UTC


Attachments (Terms of Use)

Description Alex Hudson (Fedora Address) 2009-09-30 15:31:08 UTC
Description of problem:

The pkg-config file is wrong about where the libs reside:

$ pkg-config --libs log4net
-r:/usr/lib/mono/log4net/log4net.dll

$ rpm -ql log4net | grep log4net.dll
/usr/lib64/mono/gac/log4net/1.2.10.0__15f763682743b650/log4net.dll
/usr/lib64/mono/log4net/log4net.dll

Presumably this only happens on x86_64

Version-Release number of selected component (if applicable):

log4net-devel-1.2.10-5.fc11.x86_64

Comment 1 Christopher Brown 2009-11-29 20:18:12 UTC
Hi Alex,

Thanks for the bug report. Sorry for taking so long to sort it.

The fix is in the next version but we are currently waiting to sort out a cyclic dependency issue. When this is done I'll get this built and pushed.

Regards

Comment 2 Fedora Update System 2010-01-31 17:49:42 UTC
log4net-1.2.10-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/log4net-1.2.10-12.fc12

Comment 3 Fedora Update System 2010-02-02 01:18:24 UTC
log4net-1.2.10-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.